%define name	egoboo
%define version	2.22
%define	rel	5
%define release %mkrel %{rel}
%define Summary Egoboo is a 3D dungeon crawling adventure in the spirit of NetHack

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ego222.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#Modified debian patch
Patch0:		%{name}-shared.patch.bz2
License:	GPL
Group:		Games/Adventure
URL:		http://egoboo.sourceforge.net/
Summary:	%{Summary}
BuildRequires:	SDL-devel MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Egoboo ( Ee-go-boo ) is a 3D game, and requires a 3D graphics card
to play.  You can try it in software mode, but that's yucky.
If you have problems, change the SETUP.TXT file.
Egoboo is freeware, open source, but it ain't finished and I'm done
working on it.  Do with it as you will ( think NetHack ).
	  

%prep
%setup -q -n %{name}
%patch0 -p1
#Insert line at end of file to get rid of warnings
perl -pi -e '$_.="\n" if eof' code/*.{c,h} #'

%build
%make DESTDIR=%{_prefix} BIN_PATH=%{_gamesbindir} SHARE_PATH=%{_gamesdatadir} FLAGS="-D_LINUX $RPM_OPT_FLAGS" LIBDIR="-L%{_prefix}/X11R6/%{_lib} -L%{_libdir}"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="More Applications/Games/Adventure" \
		  title="Egoboo"\
		  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}.txt CHANGELOG
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.22-5mdk
- lib64 fix
- %%mkrel
- fix summary-ended-with-dot

* Fri Aug 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.22-4mdk
- rebuild
- fix summary macro to avoid possible conflicts if we were to build debug package
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

* Sun Jul 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-3mdk
- don't use soundwrapper (David Walser)

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-2mdk
- Added libMesaGLU-devel to BuildRequires

* Thu Nov 19 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-1mdk
- First mdk-release
